Commit 2894f016 authored by gerwin.klein@nicta.com.au's avatar gerwin.klein@nicta.com.au
Browse files

remove obsolete script

parent ca30342c2a3a
#!/usr/bin/env bash
#
# Author: Gerwin Klein, NICTA
#
# Cron job that synchronizes head with release branch.
# Needs fetch hg extension.
# Add "hgext.fetch=" to [extensions] section of ~/.hgrc
#
. ~/.bashrc
if [ -n "$SF_LOGIN" ]; then
LN=$SF_LOGIN
else
LN=$LOGNAME
fi
HEAD=~/afp/devel
BRANCH=ssh://$LN@hg.code.sf.net/p/afp/afp-2016
SYNC_MSG="auto merge from release branch"
function fail()
{
echo "$1" >&2
exit 2
}
cd $HEAD || fail "Could not cd to $HEAD"
# update
hg pull -q -u || fail "Error updating from master; aborting sync"
# sync
hg fetch -q --switch-parent -m "$SYNC_MSG" $BRANCH || fail "Error pulling or merging branch changes; aborting sync"
# push to master verbosely, but only if there is something to push
hg outgoing -q > /dev/null && hg outgoing && hg push -q
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment